Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.webserver
Class MonitorWxPage

    java.lang.Object
      org.ka2ddo.yaac.webserver.PathHandler
          org.ka2ddo.yaac.webserver.MonitorWxPage

    public class MonitorWxPage

extends PathHandler

This generates an HTML page representing the weather stations monitored for health by this station.

Field Summary

Fields inherited from class org.ka2ddo.yaac.webserver.PathHandler
`httpServer, TEXT_HTML_CHARSET_UTF_8`

Constructor Summary
`MonitorWxPage()`

Method Summary
`java.lang.String` | `processPage(HttpConnectionThread hct, java.util.LinkedHashMap<java.lang.String,java.lang.String> requestHeaders, java.io.DataInputStream in, java.io.OutputStream out, java.lang.String path)` Given an inbound HTTP request, generate a page using its parameters.

Methods inherited from class org.ka2ddo.yaac.webserver.PathHandler
`escPrint, getHttpServer, setHttpServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitorWxPage

    public MonitorWxPage()

Method Detail

### processPage

    public java.lang.String processPage(HttpConnectionThread hct,
                                        java.util.LinkedHashMap<java.lang.String,java.lang.String> requestHeaders,
                                        java.io.DataInputStream in,
                                        java.io.OutputStream out,
                                        java.lang.String path)
                                 throws java.io.IOException

  Given an inbound HTTP request, generate a page using its parameters.

  Specified by:
    `processPage` in class `PathHandler`
  Parameters:
    `hct` - HttpConnectionThread issuing the call
    `requestHeaders` - the HTTP request headers the browser sent
    `in` - DataInputStream for reading the body of the HTTP request
    `out` - OutputStream to write the generated page to
    `path` - the remainder of the URL following the prefix identifying this particular page, in case the user is providing parameters to the page
  Returns:
    the Content-Type header value to return to tell the remote browser how to interpret the page
  Throws:
    `java.io.IOException` - if the page could not be generated for some reason

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD